/***********************************************************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only intended for use with Renesas products.
* No other uses are authorized. This software is owned by Renesas Electronics Corporation and is protected under all
* applicable laws, including copyright laws. 
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING THIS SOFTWARE, WHETHER EXPRESS, IMPLIED
* OR STATUTORY, INCLUDING BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
* NON-INFRINGEMENT.  ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY
* LAW, NEITHER RENESAS ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE FOR ANY DIRECT,
* INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR
* ITS AFFILIATES HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software and to discontinue the availability 
* of this software. By using this software, you agree to the additional terms and conditions found by accessing the 
* following link:
* http://www.renesas.com/disclaimer
*
* Copyright (C) 2018 Renesas Electronics Corporation. All rights reserved.
***********************************************************************************************************************/

/***********************************************************************************************************************
* File Name    : r_cg_vector_table.c
* Version      : 1.1.2
* Device(s)    : R5F52318AxFP
* Description  : This file implements interrupt vector table.
* Creation Date: 2019-05-07
***********************************************************************************************************************/

/***********************************************************************************************************************
Pragma directive
***********************************************************************************************************************/
/* Start user code for pragma. Do not edit comment generated here */
/* End user code. Do not edit comment generated here */

/***********************************************************************************************************************
Includes
***********************************************************************************************************************/
#include "r_cg_macrodriver.h"
/* Start user code for include. Do not edit comment generated here */
/* End user code. Do not edit comment generated here */
#include "r_cg_userdefine.h"

/***********************************************************************************************************************
Global variables and functions
***********************************************************************************************************************/
void * const Reserved_Vector[] __attribute((section(".rvectors"))) =
{
    /* 0x0000 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x0004 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x0008 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x000C Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x0010 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x0014 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x0018 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x001C Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x0020 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x0024 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x0028 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x002C Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x0030 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x0034 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x0038 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x003C Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x0040 BSC BUSERR */
    (void *) bus_error_isr,
    /* 0x0044 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x0048 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x004C Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x0050 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x0054 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x0058 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x005C FCU FRDYI */
    (void *) undefined_interrupt_source_isr,
    /* 0x0060 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x0064 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x0068 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x006C ICU SWINT */
    (void *) undefined_interrupt_source_isr,
    /* 0x0070 CMT0 CMI0 */
    (void *) r_Config_CMT0_cmi0_interrupt,
    /* 0x0074 CMT1 CMI1 */
    (void *) undefined_interrupt_source_isr,
    /* 0x0078 CMT2 CMI2 */
    (void *) undefined_interrupt_source_isr,
    /* 0x007C CMT3 CMI3 */
    (void *) undefined_interrupt_source_isr,
    /* 0x0080 CAC FERRF */
    (void *) undefined_interrupt_source_isr,
    /* 0x0084 CAC MENDF */
    (void *) undefined_interrupt_source_isr,
    /* 0x0088 CAC OVFF */
    (void *) undefined_interrupt_source_isr,
    /* 0x008C Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x0090 USB0 D0FIFO0 */
    (void *) undefined_interrupt_source_isr,
    /* 0x0094 USB0 D1FIFO0 */
    (void *) undefined_interrupt_source_isr,
    /* 0x0098 USB0 USBI0 */
    (void *) undefined_interrupt_source_isr,
    /* 0x009C Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x00A0 SDHI SBFAI */
    (void *) undefined_interrupt_source_isr,
    /* 0x00A4 SDHI CDETI */
    (void *) undefined_interrupt_source_isr,
    /* 0x00A8 SDHI CACI */
    (void *) undefined_interrupt_source_isr,
    /* 0x00AC SDHI SDACI */
    (void *) undefined_interrupt_source_isr,
    /* 0x00B0 RSPI0 SPEI0 */
    (void *) undefined_interrupt_source_isr,
    /* 0x00B4 RSPI0 SPRI0 */
    (void *) undefined_interrupt_source_isr,
    /* 0x00B8 RSPI0 SPTI0 */
    (void *) undefined_interrupt_source_isr,
    /* 0x00BC RSPI0 SPII0 */
    (void *) undefined_interrupt_source_isr,
    /* 0x00C0 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x00C4 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x00C8 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x00CC Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x00D0 CAN COMFRXINT */
    (void *) undefined_interrupt_source_isr,
    /* 0x00D4 CAN RXFINT */
    (void *) undefined_interrupt_source_isr,
    /* 0x00D8 CAN TXINT */
    (void *) undefined_interrupt_source_isr,
    /* 0x00DC CAN CHERRINT */
    (void *) undefined_interrupt_source_isr,
    /* 0x00E0 CAN GLERRINT */
    (void *) undefined_interrupt_source_isr,
    /* 0x00E4 DOC DOPCF */
    (void *) undefined_interrupt_source_isr,
    /* 0x00E8 CMPB CMPB0 */
    (void *) undefined_interrupt_source_isr,
    /* 0x00EC CMPB CMPB1 */
    (void *) undefined_interrupt_source_isr,
    /* 0x00F0 CTSU CTSUWR */
    (void *) undefined_interrupt_source_isr,
    /* 0x00F4 CTSU CTSURD */
    (void *) undefined_interrupt_source_isr,
    /* 0x00F8 CTSU CTSUFN */
    (void *) undefined_interrupt_source_isr,
    /* 0x00FC RTC CUP */
    (void *) undefined_interrupt_source_isr,
    /* 0x0100 ICU IRQ0 */
    (void *) undefined_interrupt_source_isr,
    /* 0x0104 ICU IRQ1 */
    (void *) undefined_interrupt_source_isr,
    /* 0x0108 ICU IRQ2 */
    (void *) undefined_interrupt_source_isr,
    /* 0x010C ICU IRQ3 */
    (void *) undefined_interrupt_source_isr,
    /* 0x0110 ICU IRQ4 */
    (void *) r_Config_ICU_irq4_interrupt,
    /* 0x0114 ICU IRQ5 */
    (void *) undefined_interrupt_source_isr,
    /* 0x0118 ICU IRQ6 */
    (void *) undefined_interrupt_source_isr,
    /* 0x011C ICU IRQ7 */
    (void *) undefined_interrupt_source_isr,
    /* 0x0120 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x0124 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x0128 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x012C Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x0130 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x0134 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x0138 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x013C Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x0140 ELC ELSR8I */
    (void *) undefined_interrupt_source_isr,
    /* 0x0144 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x0148 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x014C Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x0150 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x0154 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x0158 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x015C Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x0160 LVD1 LVD1 */
    (void *) undefined_interrupt_source_isr,
    /* 0x0164 LVD2 LVD2 */
    (void *) undefined_interrupt_source_isr,
    /* 0x0168 USB0 USBR0 */
    (void *) undefined_interrupt_source_isr,
    /* 0x016C VBATT VBTLVDI */
    (void *) undefined_interrupt_source_isr,
    /* 0x0170 RTC ALM */
    (void *) undefined_interrupt_source_isr,
    /* 0x0174 RTC PRD */
    (void *) undefined_interrupt_source_isr,
    /* 0x0178 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x017C Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x0180 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x0184 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x0188 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x018C Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x0190 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x0194 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x0198 S12AD S12ADI0 */
    (void *) undefined_interrupt_source_isr,
    /* 0x019C S12AD GBADI */
    (void *) undefined_interrupt_source_isr,
    /* 0x01A0 CMPB1 CMPB2 */
    (void *) undefined_interrupt_source_isr,
    /* 0x01A4 CMPB1 CMPB3 */
    (void *) undefined_interrupt_source_isr,
    /* 0x01A8 ELC ELSR18I */
    (void *) undefined_interrupt_source_isr,
    /* 0x01AC ELC ELSR19I */
    (void *) undefined_interrupt_source_isr,
    /* 0x01B0 SSI0 SSIF0 */
    (void *) undefined_interrupt_source_isr,
    /* 0x01B4 SSI0 SSIRXI0 */
    (void *) undefined_interrupt_source_isr,
    /* 0x01B8 SSI0 SSITXI0 */
    (void *) undefined_interrupt_source_isr,
    /* 0x01BC Security RD */
    (void *) undefined_interrupt_source_isr,
    /* 0x01C0 Security WR */
    (void *) undefined_interrupt_source_isr,
    /* 0x01C4 Security Error */
    (void *) undefined_interrupt_source_isr,
    /* 0x01C8 MTU0 TGIA0 */
    (void *) undefined_interrupt_source_isr,
    /* 0x01CC MTU0 TGIB0 */
    (void *) undefined_interrupt_source_isr,
    /* 0x01D0 MTU0 TGIC0 */
    (void *) undefined_interrupt_source_isr,
    /* 0x01D4 MTU0 TGID0 */
    (void *) undefined_interrupt_source_isr,
    /* 0x01D8 MTU0 TCIV0 */
    (void *) undefined_interrupt_source_isr,
    /* 0x01DC MTU0 TGIE0 */
    (void *) undefined_interrupt_source_isr,
    /* 0x01E0 MTU0 TGIF0 */
    (void *) undefined_interrupt_source_isr,
    /* 0x01E4 MTU1 TGIA1 */
    (void *) undefined_interrupt_source_isr,
    /* 0x01E8 MTU1 TGIB1 */
    (void *) undefined_interrupt_source_isr,
    /* 0x01EC MTU1 TCIV1 */
    (void *) undefined_interrupt_source_isr,
    /* 0x01F0 MTU1 TCIU1 */
    (void *) undefined_interrupt_source_isr,
    /* 0x01F4 MTU2 TGIA2 */
    (void *) undefined_interrupt_source_isr,
    /* 0x01F8 MTU2 TGIB2 */
    (void *) undefined_interrupt_source_isr,
    /* 0x01FC MTU2 TCIV2 */
    (void *) undefined_interrupt_source_isr,
    /* 0x0200 MTU2 TCIU2 */
    (void *) undefined_interrupt_source_isr,
    /* 0x0204 MTU3 TGIA3 */
    (void *) undefined_interrupt_source_isr,
    /* 0x0208 MTU3 TGIB3 */
    (void *) undefined_interrupt_source_isr,
    /* 0x020C MTU3 TGIC3 */
    (void *) undefined_interrupt_source_isr,
    /* 0x0210 MTU3 TGID3 */
    (void *) undefined_interrupt_source_isr,
    /* 0x0214 MTU3 TCIV3 */
    (void *) undefined_interrupt_source_isr,
    /* 0x0218 MTU4 TGIA4 */
    (void *) undefined_interrupt_source_isr,
    /* 0x021C MTU4 TGIB4 */
    (void *) undefined_interrupt_source_isr,
    /* 0x0220 MTU4 TGIC4 */
    (void *) undefined_interrupt_source_isr,
    /* 0x0224 MTU4 TGID4 */
    (void *) undefined_interrupt_source_isr,
    /* 0x0228 MTU4 TCIV4 */
    (void *) undefined_interrupt_source_isr,
    /* 0x022C MTU5 TGIU5 */
    (void *) undefined_interrupt_source_isr,
    /* 0x0230 MTU5 TGIV5 */
    (void *) undefined_interrupt_source_isr,
    /* 0x0234 MTU5 TGIW5 */
    (void *) undefined_interrupt_source_isr,
    /* 0x0238 TPU0 TGI0A */
    (void *) undefined_interrupt_source_isr,
    /* 0x023C TPU0 TGI0B */
    (void *) undefined_interrupt_source_isr,
    /* 0x0240 TPU0 TGI0C */
    (void *) undefined_interrupt_source_isr,
    /* 0x0244 TPU0 TGI0D */
    (void *) undefined_interrupt_source_isr,
    /* 0x0248 TPU0 TCI0V */
    (void *) undefined_interrupt_source_isr,
    /* 0x024C TPU1 TGI1A */
    (void *) undefined_interrupt_source_isr,
    /* 0x0250 TPU1 TGI1B */
    (void *) undefined_interrupt_source_isr,
    /* 0x0254 TPU1 TCI1V */
    (void *) undefined_interrupt_source_isr,
    /* 0x0258 TPU1 TCI1U */
    (void *) undefined_interrupt_source_isr,
    /* 0x025C TPU2 TGI2A */
    (void *) undefined_interrupt_source_isr,
    /* 0x0260 TPU2 TGI2B */
    (void *) undefined_interrupt_source_isr,
    /* 0x0264 TPU2 TCI2V */
    (void *) undefined_interrupt_source_isr,
    /* 0x0268 TPU2 TCI2U */
    (void *) undefined_interrupt_source_isr,
    /* 0x026C TPU3 TGI3A */
    (void *) undefined_interrupt_source_isr,
    /* 0x0270 TPU3 TGI3B */
    (void *) undefined_interrupt_source_isr,
    /* 0x0274 TPU3 TGI3C */
    (void *) undefined_interrupt_source_isr,
    /* 0x0278 TPU3 TGI3D */
    (void *) undefined_interrupt_source_isr,
    /* 0x027C TPU3 TCI3V */
    (void *) undefined_interrupt_source_isr,
    /* 0x0280 TPU4 TGI4A */
    (void *) undefined_interrupt_source_isr,
    /* 0x0284 TPU4 TGI4B */
    (void *) undefined_interrupt_source_isr,
    /* 0x0288 TPU4 TCI4V */
    (void *) undefined_interrupt_source_isr,
    /* 0x028C TPU4 TCI4U */
    (void *) undefined_interrupt_source_isr,
    /* 0x0290 TPU5 TGI5A */
    (void *) undefined_interrupt_source_isr,
    /* 0x0294 TPU5 TGI5B */
    (void *) undefined_interrupt_source_isr,
    /* 0x0298 TPU5 TCI5V */
    (void *) undefined_interrupt_source_isr,
    /* 0x029C TPU5 TCI5U */
    (void *) undefined_interrupt_source_isr,
    /* 0x02A0 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x02A4 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x02A8 POE OEI1 */
    (void *) undefined_interrupt_source_isr,
    /* 0x02AC POE OEI2 */
    (void *) undefined_interrupt_source_isr,
    /* 0x02B0 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x02B4 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x02B8 TMR0 CMIA0 */
    (void *) undefined_interrupt_source_isr,
    /* 0x02BC TMR0 CMIB0 */
    (void *) undefined_interrupt_source_isr,
    /* 0x02C0 TMR0 OVI0 */
    (void *) undefined_interrupt_source_isr,
    /* 0x02C4 TMR1 CMIA1 */
    (void *) undefined_interrupt_source_isr,
    /* 0x02C8 TMR1 CMIB1 */
    (void *) undefined_interrupt_source_isr,
    /* 0x02CC TMR1 OVI1 */
    (void *) undefined_interrupt_source_isr,
    /* 0x02D0 TMR2 CMIA2 */
    (void *) undefined_interrupt_source_isr,
    /* 0x02D4 TMR2 CMIB2 */
    (void *) undefined_interrupt_source_isr,
    /* 0x02D8 TMR2 OVI2 */
    (void *) undefined_interrupt_source_isr,
    /* 0x02DC TMR3 CMIA3 */
    (void *) undefined_interrupt_source_isr,
    /* 0x02E0 TMR3 CMIB3 */
    (void *) undefined_interrupt_source_isr,
    /* 0x02E4 TMR3 OVI3 */
    (void *) undefined_interrupt_source_isr,
    /* 0x02E8 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x02EC Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x02F0 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x02F4 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x02F8 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x02FC Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x0300 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x0304 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x0308 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x030C Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x0310 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x0314 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x0318 DMAC DMAC0I */
    (void *) undefined_interrupt_source_isr,
    /* 0x031C DMAC DMAC1I */
    (void *) undefined_interrupt_source_isr,
    /* 0x0320 DMAC DMAC2I */
    (void *) undefined_interrupt_source_isr,
    /* 0x0324 DMAC DMAC3I */
    (void *) undefined_interrupt_source_isr,
    /* 0x0328 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x032C Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x0330 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x0334 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x0338 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x033C Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x0340 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x0344 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x0348 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x034C Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x0350 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x0354 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x0358 SCI0 ERI0 */
    (void *) undefined_interrupt_source_isr,
    /* 0x035C SCI0 RXI0 */
    (void *) undefined_interrupt_source_isr,
    /* 0x0360 SCI0 TXI0 */
    (void *) undefined_interrupt_source_isr,
    /* 0x0364 SCI0 TEI0 */
    (void *) undefined_interrupt_source_isr,
    /* 0x0368 SCI1 ERI1 */
    (void *) undefined_interrupt_source_isr,
    /* 0x036C SCI1 RXI1 */
    (void *) undefined_interrupt_source_isr,
    /* 0x0370 SCI1 TXI1 */
    (void *) undefined_interrupt_source_isr,
    /* 0x0374 SCI1 TEI1 */
    (void *) undefined_interrupt_source_isr,
    /* 0x0378 SCI5 ERI5 */
    (void *) undefined_interrupt_source_isr,
    /* 0x037C SCI5 RXI5 */
    (void *) undefined_interrupt_source_isr,
    /* 0x0380 SCI5 TXI5 */
    (void *) undefined_interrupt_source_isr,
    /* 0x0384 SCI5 TEI5 */
    (void *) undefined_interrupt_source_isr,
    /* 0x0388 SCI6 ERI6 */
    (void *) undefined_interrupt_source_isr,
    /* 0x038C SCI6 RXI6 */
    (void *) undefined_interrupt_source_isr,
    /* 0x0390 SCI6 TXI6 */
    (void *) undefined_interrupt_source_isr,
    /* 0x0394 SCI6 TEI6 */
    (void *) undefined_interrupt_source_isr,
    /* 0x0398 SCI8 ERI8 */
    (void *) undefined_interrupt_source_isr,
    /* 0x039C SCI8 RXI8 */
    (void *) undefined_interrupt_source_isr,
    /* 0x03A0 SCI8 TXI8 */
    (void *) undefined_interrupt_source_isr,
    /* 0x03A4 SCI8 TEI8 */
    (void *) undefined_interrupt_source_isr,
    /* 0x03A8 SCI9 ERI9 */
    (void *) undefined_interrupt_source_isr,
    /* 0x03AC SCI9 RXI9 */
    (void *) undefined_interrupt_source_isr,
    /* 0x03B0 SCI9 TXI9 */
    (void *) undefined_interrupt_source_isr,
    /* 0x03B4 SCI9 TEI9 */
    (void *) undefined_interrupt_source_isr,
    /* 0x03B8 SCI12 ERI12 */
    (void *) undefined_interrupt_source_isr,
    /* 0x03BC SCI12 RXI12 */
    (void *) undefined_interrupt_source_isr,
    /* 0x03C0 SCI12 TXI12 */
    (void *) undefined_interrupt_source_isr,
    /* 0x03C4 SCI12 TEI12 */
    (void *) undefined_interrupt_source_isr,
    /* 0x03C8 SCI12 SCIX0 */
    (void *) undefined_interrupt_source_isr,
    /* 0x03CC SCI12 SCIX1 */
    (void *) undefined_interrupt_source_isr,
    /* 0x03D0 SCI12 SCIX2 */
    (void *) undefined_interrupt_source_isr,
    /* 0x03D4 SCI12 SCIX3 */
    (void *) undefined_interrupt_source_isr,
    /* 0x03D8 RIIC0 EEI0 */
    (void *) undefined_interrupt_source_isr,
    /* 0x03DC RIIC0 RXI0 */
    (void *) undefined_interrupt_source_isr,
    /* 0x03E0 RIIC0 TXI0 */
    (void *) undefined_interrupt_source_isr,
    /* 0x03E4 RIIC0 TEI0 */
    (void *) undefined_interrupt_source_isr,
    /* 0x03E8 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x03EC Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x03F0 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x03F4 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x03F8 Reserved */
    (void *) 0xFFFFFFFF,
    /* 0x03FC Reserved */
    (void *) 0xFFFFFFFF
};
/* Start user code for global. Do not edit comment generated here */
/* End user code. Do not edit comment generated here */

/* Start user code for adding. Do not edit comment generated here */
/* End user code. Do not edit comment generated here */
